## DmapControlPlayer

DmapControlPlayer — An interface for media controllers.

## Functions

DmapAvRecord * | dmap_control_player_now_playing_record ()
gchar * | dmap_control_player_now_playing_artwork ()
void | dmap_control_player_play_pause ()
void | dmap_control_player_pause ()
void | dmap_control_player_next_item ()
void | dmap_control_player_prev_item ()
void | dmap_control_player_cue_clear ()
void | dmap_control_player_cue_play ()

## Properties

DmapControlPlayState | play-state | Read / Write
gulong | playing-time | Read / Write
DmapControlRepeatState | repeat-state | Read / Write
gboolean | shuffle-state | Read / Write
gulong | volume | Read / Write

## Types and Values

enum | DmapControlRepeatState
enum | DmapControlPlayState

## Object Hierarchy

        GEnum
        ├── DmapControlPlayState
        ╰── DmapControlRepeatState
        GInterface
        ╰── DmapControlPlayer

## Description

DmapControlPlayer provides an interface for controlling the playback of media.

## Functions

### dmap_control_player_now_playing_record ()

    DmapAvRecord *
    dmap_control_player_now_playing_record
                                   (DmapControlPlayer *player);

#### Parameters

player | a player |

#### Returns

the currently playing record.

[transfer none]

### dmap_control_player_now_playing_artwork ()

    gchar *
    dmap_control_player_now_playing_artwork
                                   (DmapControlPlayer *player,
                                    guint width,
                                    guint height);

#### Parameters

player | a player |
width | width |
height | height |

#### Returns

artwork for the currently playing record.

[transfer none]

### dmap_control_player_play_pause ()

    void
    dmap_control_player_play_pause (DmapControlPlayer *player);

#### Parameters

player | a player |

### dmap_control_player_pause ()

    void
    dmap_control_player_pause (DmapControlPlayer *player);

#### Parameters

player | a player |

### dmap_control_player_next_item ()

    void
    dmap_control_player_next_item (DmapControlPlayer *player);

#### Parameters

player | a player |

### dmap_control_player_prev_item ()

    void
    dmap_control_player_prev_item (DmapControlPlayer *player);

### dmap_control_player_cue_clear ()

    void
    dmap_control_player_cue_clear (DmapControlPlayer *player);

#### Parameters

player | a player |

### dmap_control_player_cue_play ()

    void
    dmap_control_player_cue_play (DmapControlPlayer *player,
                                  GList *records,
                                  guint index);

#### Parameters

player | a player |
records | a list of records. | [element-type DmapRecord]
index | an index |

## Types and Values

### enum DmapControlRepeatState

#### Members

DMAP_CONTROL_REPEAT_NONE |  |
DMAP_CONTROL_REPEAT_SINGLE |  |
DMAP_CONTROL_REPEAT_ALL |  |

### enum DmapControlPlayState

#### Members

DMAP_CONTROL_PLAY_STOPPED |  |
DMAP_CONTROL_PLAY_PAUSED |  |
DMAP_CONTROL_PLAY_PLAYING |  |

## Property Details

### The `“play-state”` property

      “play-state”               DmapControlPlayState

Play state.

Owner: DmapControlPlayer

Flags: Read / Write

Default value: DMAP_CONTROL_PLAY_STOPPED

### The `“playing-time”` property

      “playing-time”             gulong

Playing time (ms).

Owner: DmapControlPlayer

Flags: Read / Write

### The `“repeat-state”` property

      “repeat-state”             DmapControlRepeatState

Repeat state.

Owner: DmapControlPlayer

Flags: Read / Write

Default value: DMAP_CONTROL_REPEAT_NONE

### The `“shuffle-state”` property

      “shuffle-state”            gboolean

Shufle state.

Owner: DmapControlPlayer

Flags: Read / Write

Default value: FALSE

### The `“volume”` property

      “volume”                   gulong

Volume.

Owner: DmapControlPlayer

Flags: Read / Write

Allowed values: <= 100